Get a setup intent
curl --request GET \
--url https://api.fintoc.com/v2/setup_intents/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/setup_intents/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/setup_intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "seti_2cKoy3PEXAuvkr4ofXC1KdMvCgZ",
"object": "setup_intent",
"status": "failed",
"error_reason": "invalid_card"
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such setup_intent: seti_nonexistent",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Setup intents
Get a setup intent
Retrieves the setup intent with the given id. The setup intent must belong to your organization and match the live or test mode of the API key used.
GET
/
v2
/
setup_intents
/
{id}
Get a setup intent
Authorizations
Path Parameters
Unique identifier of the setup intent to retrieve.
Response
The setup intent with the given id.
Unique identifier of the setup intent.
Example:
"seti_xL9mPq2RkV3WnDQG"
Type of the object. Always setup_intent.
Error code describing why the latest setup attempt failed. null until an attempt fails and when the setup succeeds.
Available options:
null, login_invalid_credentials, login_credentials_locked, authorization_timeout, mfa_authorization_timeout, mfa_unavailable, bank_connection_error, bank_not_available, password_change_required, request_timeout, subscription_intent_expired, account_type_not_permitted, internal_error, user_left, card_declined, invalid_card_credentials, invalid_card, authentication_failed, insufficient_funds Example:
"invalid_card"
Lifecycle status of the setup intent. One of created, started, waiting_for_retry, succeeded, or failed.
Available options:
created, started, waiting_for_retry, succeeded, failed Example:
"failed"
Was this page helpful?